Package org.eclipse.equinox.p2.operations

## Interface IProfileChangeJob

All Known Implementing Classes:
  `InstallOperation`, `ProfileChangeOperation`, `ProfileModificationJob`, `RemediationOperation`, `SynchronizeOperation`, `UninstallOperation`, `UpdateOperation`

    public interface IProfileChangeJob

Interface for a provisioning job that operates on a profile.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getProfileId()` Return the string id of the profile involved in this job.

### Method Detail

#### getProfileId

    String getProfileId()

Return the string id of the profile involved in this job.

Returns:
  the id of the profile